# Packages Packages ## Gets all of the packages in the system. - [GET /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/listpackages.md): This method will scan all packages and and return them to the caller. ## Creates a new package record that does not already exist. - [POST /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/createpackage.md): This method will auto-generate an ID and create a new package. If an ID is specified for the package, an error will be thrown. ## Execute Batch Operations - [POST /packages/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a package from the system by its ID. - [DELETE /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/deletepackage.md): This method will delete a package with the specified ID. ## Returns a package from the system by its ID. - [GET /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/getpackage.md): This method will look up a package by the specified ID and return it back. ## Partially updates a package with the specified ID. - [PATCH /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/patchpackage.md): This method will patch an existing package with the specified ID, using the HTTP PATCH specification. ## Updates a package with the specified ID. - [PUT /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/updatepackage.md): This method will update an existing package with the specified ID.